J2EEResource (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.J2EEResource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee
Interface J2EEResource

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

All Known Subinterfaces:
  JavaMail, JBossJNDIService, JBossMailService, JBossManagedConnectionFactory, JBossManagedConnectionPool, JBossTransactionCM, JCAConnection, JCAConnectionFactory, JCAConnectionPool, JCAManagedConnectionFactory, JDBC, JDBCConnection, JDBCConnectionPool, JDBCDataSource, JDBCDriver, JMS, JMSConnection, JMSEndpoint, JMSSession, JNDI, JTA, OracleAppJ2EEWebSite, OracleAppJDBCConnectionPool, OracleAppJDBCDataSource, OracleAppJDBCDriver, OracleAppJMSDestination, OracleAppJMSServer, OracleAppJTAResource, RMI_IIOP, URL, WebLogicJDBCConnectionPool, WebLogicJDBCDataSource, WebLogicJDBCDriver, WebLogicJDBCMultiPool, WebLogicJDBCTxDataSource, WebLogicJMSServer, WebSphereJ2EEResource, WebSphereJDBCConnectionPool, WebSphereJDBCDataSource, WebSphereJDBCProvider, WebSphereJMSDestination, WebSphereJMSProvider, WebSphereJMSQueue, WebSphereJMSServer, WebSphereJMSTopic, WebSphereMQJMSDestination, WebSphereMQJMSQueue, WebSphereMQJMSTopic

    public interface J2EEResource

extends SoftwareResource

JSR77 - Represents resources utilized by the J2EE Server to provide the J2EE standard services required by the J2EE platform architecture.

Naming Rules:
  0="managedSystemName"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`J2EEDomain` | `getDomain()`
`J2EEServer` | `getServer()`
`boolean` | `hasDomain()`
`boolean` | `hasServer()`
`void` | `setDomain(J2EEDomain domain)`
`void` | `setServer(J2EEServer server)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDomain

    J2EEDomain getDomain()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setDomain

    void setDomain(J2EEDomain domain)

### hasDomain

    boolean hasDomain()

### getServer

    J2EEServer getServer()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServer

    void setServer(J2EEServer server)

### hasServer

    boolean hasServer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD